/*
 * ShapeType.hpp
 *
 *  Created on: 18.01.2012
 *      Author: heber
 */

#ifndef SHAPETYPE_HPP_
#define SHAPETYPE_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

//!> enumeration of the possible ShapeTypes
enum ShapeType {
	NowhereType,
	EverywhereType,
	SphereType,
	CuboidType,
	PolygonType,
	CombinedType,
  CylinderType,
	MAX_ShapeType
};

#endif /* SHAPETYPE_HPP_ */
